# Class RefactoringHistoryControlConfiguration

java.lang.Object
org.eclipse.ltk.ui.refactoring.history.RefactoringHistoryControlConfiguration

public class RefactoringHistoryControlConfiguration extends Object
Configuration object for a refactoring history control.

Note: this class is intended to be subclassed by clients wishing to control the configuration behavior of their refactoring history control.

Since:
  3.2
See Also:
  - `RefactoringUI.createRefactoringHistoryControl(org.eclipse.swt.widgets.Composite, RefactoringHistoryControlConfiguration)`
  - `IRefactoringHistoryControl`
  - `RefactoringHistoryLabelProvider`
  - `RefactoringHistoryContentProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final boolean`
`fCheckable`
Should the refactorings be checkable?
`protected final IProject`
`fProject`
The project, or `null` for the workspace
`protected final boolean`
`fTime`
Should time information be displayed?

## Constructor Summary

Constructors
Constructor
Description
`RefactoringHistoryControlConfiguration(IProject project, boolean time, boolean checkable)`
Creates a new refactoring history control configuration.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCollectionLabel()`
Returns the label of a collection of refactorings.
`String`
`getCommentCaption()`
Returns the text of the comment field below the refactoring history tree, if the currently selected refactoring descriptor provides no comment.
`RefactoringHistoryContentProvider`
`getContentProvider()`
Returns the content provider to use.
`String`
`getDayPattern()`
Returns the message format pattern to use for days.
`RefactoringHistoryLabelProvider`
`getLabelProvider()`
Returns the label provider to use.
`String`
`getLastMonthPattern()`
Returns the message format pattern to use for last month.
`String`
`getLastWeekPattern()`
Returns the message format pattern to use for last week.
`String`
`getMonthPattern()`
Returns the message format pattern to use for months.
`final IProject`
`getProject()`
Returns the project of the refactoring history being displayed.
`String`
`getProjectPattern()`
Returns the message format pattern to use if refactorings of exactly one project are displayed.
`String`
`getRefactoringPattern()`
Returns the message format pattern to use for refactorings.
`String`
`getThisMonthPattern()`
Returns the message format pattern to use for this month.
`String`
`getThisWeekPattern()`
Returns the message format pattern to use for this week.
`String`
`getTodayPattern()`
Returns the message format pattern to use for today.
`String`
`getWeekPattern()`
Returns the message format pattern to use for weeks.
`String`
`getWorkspaceCaption()`
Returns the caption of the refactoring history tree if refactorings of more than one project are displayed.
`String`
`getYearPattern()`
Returns the message format pattern to use for years.
`String`
`getYesterdayPattern()`
Returns the message format pattern to use for yesterday.
`final boolean`
`isCheckableViewer()`
Returns whether the control should make the refactorings checkable.
`final boolean`
`isTimeDisplayed()`
Returns whether the control should display time information.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fCheckable

protected final boolean fCheckable
Should the refactorings be checkable?

### fProject

protected final IProject fProject
The project, or `null` for the workspace

### fTime

protected final boolean fTime
Should time information be displayed?

## Constructor Details

### RefactoringHistoryControlConfiguration

public RefactoringHistoryControlConfiguration(IProject project, boolean time, boolean checkable)
Creates a new refactoring history control configuration.

Parameters:
  `project` - the project, or `null` for the workspace
  `time` - `true` to display time information, `false` otherwise
  `checkable` - `true` if the refactorings should be checkable, `false` otherwise

## Method Details

### getCollectionLabel

public String getCollectionLabel()
Returns the label of a collection of refactorings.

Returns:
  the collection label

### getCommentCaption

public String getCommentCaption()
Returns the text of the comment field below the refactoring history tree, if the currently selected refactoring descriptor provides no comment.

Returns:
  the comment caption

### getContentProvider

public RefactoringHistoryContentProvider getContentProvider()
Returns the content provider to use.

Returns:
  the content provider to use

### getDayPattern

public String getDayPattern()
Returns the message format pattern to use for days.

Arguments:

- {0}: formatted date

Returns:
  the day pattern

### getLabelProvider

public RefactoringHistoryLabelProvider getLabelProvider()
Returns the label provider to use.

Returns:
  the label provider to use

### getLastMonthPattern

public String getLastMonthPattern()
Returns the message format pattern to use for last month.

Arguments:

- {0}: month name

Returns:
  the last month pattern

### getLastWeekPattern

public String getLastWeekPattern()
Returns the message format pattern to use for last week.

Arguments:

- {0}: week number

Returns:
  the last week pattern

### getMonthPattern

public String getMonthPattern()
Returns the message format pattern to use for months.

Arguments:

- {0}: month name

Returns:
  the month pattern

### getProject

public final IProject getProject()
Returns the project of the refactoring history being displayed.

Returns:
  the project, or `null` for the workspace

### getProjectPattern

public String getProjectPattern()
Returns the message format pattern to use if refactorings of exactly one project are displayed.

Arguments:

- {0}: name of project

Returns:
  the project pattern

### getRefactoringPattern

public String getRefactoringPattern()
Returns the message format pattern to use for refactorings.

Arguments:

- {0}: formatted date
- {0}: description of refactoring

Returns:
  the refactoring pattern

### getThisMonthPattern

public String getThisMonthPattern()
Returns the message format pattern to use for this month.

Arguments:

- {0}: month name

Returns:
  the this month pattern

### getThisWeekPattern

public String getThisWeekPattern()
Returns the message format pattern to use for this week.

Arguments:

- {0}: week number

Returns:
  the this week pattern

### getTodayPattern

public String getTodayPattern()
Returns the message format pattern to use for today.

Arguments:

- {0}: formatted date

Returns:
  the today pattern

### getWeekPattern

public String getWeekPattern()
Returns the message format pattern to use for weeks.

Arguments:

- {0}: week number

Returns:
  the week pattern

### getWorkspaceCaption

public String getWorkspaceCaption()
Returns the caption of the refactoring history tree if refactorings of more than one project are displayed.

Returns:
  the workspace caption

### getYearPattern

public String getYearPattern()
Returns the message format pattern to use for years.

Arguments:

- {0}: year number

Returns:
  the year pattern

### getYesterdayPattern

public String getYesterdayPattern()
Returns the message format pattern to use for yesterday.

Arguments:

- {0}: formatted date

Returns:
  the yesterday pattern

### isCheckableViewer

public final boolean isCheckableViewer()
Returns whether the control should make the refactorings checkable.

Returns:
  `true` if the control should make refactorings checkable, `false` otherwise

### isTimeDisplayed

public final boolean isTimeDisplayed()
Returns whether the control should display time information.

Returns:
  `true` to display time information, `false` otherwise